Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516251 - [abrt] pgadmin3: _libssh2_transport_read(): pgadmin3 killed by SIGABRT
Summary: [abrt] pgadmin3: _libssh2_transport_read(): pgadmin3 killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pgadmin3
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Devrim Gündüz
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c868e91df462bac3896b963e905...
: 1372292 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 11:11 UTC by Miroslav Šustek
Modified: 2018-11-30 23:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:40:59 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-22 11:11 UTC, Miroslav Šustek
no flags Details
File: cgroup (deleted)
2017-11-22 11:11 UTC, Miroslav Šustek
no flags Details
File: core_backtrace (deleted)
2017-11-22 11:11 UTC, Miroslav Šustek
no flags Details
File: cpuinfo (deleted)
2017-11-22 11:11 UTC, Miroslav Šustek
no flags Details
File: dso_list (deleted)
2017-11-22 11:11 UTC, Miroslav Šustek
no flags Details
File: environ (deleted)
2017-11-22 11:11 UTC, Miroslav Šustek
no flags Details
File: limits (deleted)
2017-11-22 11:11 UTC, Miroslav Šustek
no flags Details
File: maps (deleted)
2017-11-22 11:11 UTC, Miroslav Šustek
no flags Details
File: mountinfo (deleted)
2017-11-22 11:11 UTC, Miroslav Šustek
no flags Details
File: open_fds (deleted)
2017-11-22 11:11 UTC, Miroslav Šustek
no flags Details
File: proc_pid_status (deleted)
2017-11-22 11:11 UTC, Miroslav Šustek
no flags Details
File: var_log_messages (deleted)
2017-11-22 11:11 UTC, Miroslav Šustek
no flags Details

Description Miroslav Šustek 2017-11-22 11:11:14 UTC
Description of problem:
I was connected to a remote database using SSH tunneling.
After few minutes of inactivity I re-run EXPLAIN ANALYZE for some SELECT query and pgadmin crashed.
It was not the first time this happened (it usually crashes after running a query after few minutes of inactivity).

Version-Release number of selected component:
pgadmin3-1.22.1-3.fc26

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/pgadmin3
crash_function: _libssh2_transport_read
executable:     /usr/bin/pgadmin3
journald_cursor: s=2820535bfb7d463a8ed7db5009de5666;i=25a9;b=88c2b9f62123471db6d01219ae2bf87c;m=2ce3ece8c;t=55e90209f184e;x=5b0de7f486229773
kernel:         4.13.13-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            500

Truncated backtrace:
Thread no. 2 (5 frames)
 #4 _libssh2_transport_read at libssh2/transport.c:349
 #5 _libssh2_channel_read at libssh2/channel.c:1803
 #6 libssh2_channel_read_ex at libssh2/channel.c:1937
 #7 CSubThread::Entry() at utils/sshTunnel.cpp:557
 #8 wxThreadInternal::PthreadStart(wxThread*) at ./src/unix/threadpsx.cpp:766

Potential duplicate: bug 1234747

Comment 1 Miroslav Šustek 2017-11-22 11:11:21 UTC
Created attachment 1357374 [details]
File: backtrace

Comment 2 Miroslav Šustek 2017-11-22 11:11:22 UTC
Created attachment 1357375 [details]
File: cgroup

Comment 3 Miroslav Šustek 2017-11-22 11:11:24 UTC
Created attachment 1357376 [details]
File: core_backtrace

Comment 4 Miroslav Šustek 2017-11-22 11:11:25 UTC
Created attachment 1357377 [details]
File: cpuinfo

Comment 5 Miroslav Šustek 2017-11-22 11:11:27 UTC
Created attachment 1357378 [details]
File: dso_list

Comment 6 Miroslav Šustek 2017-11-22 11:11:28 UTC
Created attachment 1357379 [details]
File: environ

Comment 7 Miroslav Šustek 2017-11-22 11:11:30 UTC
Created attachment 1357380 [details]
File: limits

Comment 8 Miroslav Šustek 2017-11-22 11:11:32 UTC
Created attachment 1357381 [details]
File: maps

Comment 9 Miroslav Šustek 2017-11-22 11:11:33 UTC
Created attachment 1357382 [details]
File: mountinfo

Comment 10 Miroslav Šustek 2017-11-22 11:11:35 UTC
Created attachment 1357383 [details]
File: open_fds

Comment 11 Miroslav Šustek 2017-11-22 11:11:36 UTC
Created attachment 1357384 [details]
File: proc_pid_status

Comment 12 Miroslav Šustek 2017-11-22 11:11:37 UTC
Created attachment 1357385 [details]
File: var_log_messages

Comment 13 Stuart D Gathman 2018-11-06 13:34:24 UTC
*** Bug 1372292 has been marked as a duplicate of this bug. ***

Comment 14 Ben Cotton 2018-11-27 13:38:13 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2018-11-30 23:40:59 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.